%%   CutTime

% Objective: Removing the ramp duration
% Method: Utilizing the ramp duration and seed duration and the specified 
% position where the ramp starts

% Last Modified: 05.2015
% Authors: Loup and Joakim

%   Input       Type/Dimension      Description
%   in          vector              vector to be cut
%   first_step  double [-]          position of ramp start
%   ramp        double [s]          ramp duration
%   duration    double [s]          time series duration

%   Output      Type/Dimension      Description
%   out         vector              cut vector
%%
function [out] = CutTime(in,first_step,ramp,duration)
out = in;
out(1:ceil(first_step + ramp)) = [];
out(duration+1:end) = [];
end

