%% eqmotion_FNV

% Objective: Solving the differential equation of motion for FNV
% Method: Using a procedure specified in the TMR4215 Sea loads exercise 8
% Last Modified: 04.2015
% Authors: Loup and Joakim

%   Input       Type/Dimension      Description
%   t           vector [rad/s]      time span
%   y           vector [s]          response initial conditions

%   Output      Type/Dimension     Description
%   f           vector             eq. of motion sol. (see PileResponse)
%%
function f = eqmotion_FNV(t,y)

% Definition of global variables 
global I Crot Krot M_FNV tspan

% Allocation of a 2 dim. column vector 
f = zeros(2,1);

%Excitation load (moment):
M_ode = M_FNV(find(tspan>t,1)-1);


%Setting up the solution matrix system
A=[0,1;-Krot/I,-Crot/I];
L=[0;M_ode/I];
f = A*y + L;

end